PrivSource Menu

REST API

Deals API Reference

Read details for a deal available to your buyer account. Deal IDs start with dl_.

Overview

Retrieve a deal by its ID to review its details and available seller contact information.

Who can access

Read details for deals available to your buyer account.

GET

Get a deal

/v1/buyer/deals/:id

Returns full details for a single live deal from the buyer perspective.

Path Parameters

Parameter Type Description
id required string Deal ID with a dl_ prefix.

Code Sample

curl "https://api.privsource.com/v1/buyer/deals/dl_gkqMKZ9x" \
  -H "Authorization: Bearer YOUR_API_TOKEN"

Example Response

{
  "deal": {
    "id": "dl_gkqMKZ9x",
    "name": "Healthcare Services Company",
    "privsource_link": "https://privsource.com/buyer/deals/dl_gkqMKZ9x",
    "teaser_link": "https://privsource.com/buyer/deals/dl_gkqMKZ9x/view",
    "date_added": "2025-01-15",
    "revenue": 5000000,
    "ebitda": 1200000,
    "margin_percent": 24,
    "deal_type": "buyout",
    "outreach_available": true,
    "primary_industry": "Healthcare",
    "sub_industry": "Outpatient Services",
    "secondary_industry": "Business Services",
    "industries": [
      "Healthcare",
      "Business Services"
    ],
    "location": "Northeast",
    "description": "Full-service healthcare company specializing in outpatient care.",
    "reason_for_sale": "Owner retirement",
    "growth_opportunities": "Expand into adjacent markets and acquire smaller clinics.",
    "deal_link": "https://example.com/deal-profile",
    "nda_link": "https://example.com/nda",
    "contacts": [],
    "interested": true,
    "materials_available": true,
    "unlocked_by_seller": false
  }
}

Response Codes

200 Deal details
401 Unauthorized
402 Payment required - no active subscription
404 Deal not found
429 Rate limit exceeded

Schemas

Contact

Deal contact details.

Field Type Description
name required string Contact name.
email required string Contact email.
phone string Phone number when available.
title string Job title when available.

DealDetailResponse

Single-deal response for the deal detail endpoint.

Field Type Description
deal DealFull

DealFull

Full deal shape returned by the deal detail endpoint.

Field Type Description
id string Deal ID with a dl_ prefix.
name string Deal name.
privsource_link string Authenticated PrivSource buyer deal URL using the deal hashid.
teaser_link string? Buyer teaser link. Null while materials are locked.
date_added string Date the deal was added.
revenue integer? Annual revenue in dollars when available.
ebitda integer? EBITDA in dollars when available.
margin_percent integer? Margin percentage from 0 to 100 when available.
deal_type enum Deal type.
outreach_available boolean Whether this deal currently has recipients available for buyer outreach.
primary_industry string? Primary industry label when available.
sub_industry string? Sub-industry label when available.
secondary_industry string? Secondary industry label when available.
industries string[] Matched industry labels for the deal.
location string? Location label when available.
interested boolean Whether this buyer marked the deal Interested.
materials_available boolean Whether this buyer can open materials. Direct deals require Interested and paid access or a seller unlock.
unlocked_by_seller boolean Whether a seller message unlocked this shared deal for this buyer.
description string Long-form deal description.
reason_for_sale string Seller's reason for sale when available.
growth_opportunities string Growth opportunities when available.
deal_link string? Material URL. Null while materials are locked.
nda_link string? Material URL. Null while materials are locked.
contacts Contact[] Available contacts. Direct listings and external handoff listings return an empty array.
nda_submission object

DealSummary

Summary shape returned in the deals index response.

Field Type Description
id string Deal ID with a dl_ prefix.
name string Deal name.
privsource_link string Authenticated PrivSource buyer deal URL using the deal hashid.
teaser_link string? Buyer teaser link. Null while materials are locked.
date_added string Date the deal was added.
revenue integer? Annual revenue in dollars when available.
ebitda integer? EBITDA in dollars when available.
margin_percent integer? Margin percentage from 0 to 100 when available.
deal_type enum Deal type.
outreach_available boolean Whether this deal currently has recipients available for buyer outreach.
primary_industry string? Primary industry label when available.
sub_industry string? Sub-industry label when available.
secondary_industry string? Secondary industry label when available.
industries string[] Matched industry labels for the deal.
location string? Location label when available.
interested boolean Whether this buyer marked the deal Interested.
materials_available boolean Whether this buyer can open materials. Direct deals require Interested and paid access or a seller unlock.
unlocked_by_seller boolean Whether a seller message unlocked this shared deal for this buyer.

ErrorResponse

Error response returned by authenticated API endpoints.

Field Type Description
errors required string[] One or more human-readable error messages.